php-config(1)

NAME
php-config - get information about PHP configuration and compile options

SYNOPSIS
php-config [options]

DESCRIPTION
php-config is a simple shell script for obtaining information about installed PHP configuration.

OPTIONS

--prefix
    Directory prefix where PHP is installed, e.g. /usr/local
--includes
    List of -I options with all include files
--ldflags
    LD Flags which PHP was compiled with
--libs
    Extra libraries which PHP was compiled with
--man-dir
    The directory prefix where the manpages is installed
--extension-dir
    Directory where extensions are searched by default
--include-dir
    Directory prefix where header files are installed by default
--lib-dir
    Directory where libraries are installed by default
--lib-embed
    PHP embed library name
--php-binary
    Full path to php CLI or CGI binary
--php-sapis
    Show all SAPI modules available
--configure-options
    Configure options to recreate configuration of current PHP installation
--ini-path
    Directory from which PHP reads its INI configuration file (php.ini)
--ini-dir
    Directory from which PHP scans for additional INI configuration files
--version
    PHP version
--vernum
    PHP version as integer

SEE ALSO
php(1)

VERSION INFORMATION
This manpage describes php, version 8.4.16.

COPYRIGHT
Copyright © The PHP Group

This source file is subject to version 3.01 of the PHP license, that is bundled with this package in the file LICENSE, and is available through the world-wide-web at the following url:
https://www.php.net/license/3_01.txt

If you did not receive a copy of the PHP license and are unable to obtain it through the world-wide-web, please send a note to license@php.net so we can mail you a copy immediately.